#
# spec file for package elib (Version 1.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  emacs emacs-x11 tetex xaw3d xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs emacs emacs-x11 file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim xaw3d xdevel xf86 xshared

Name:         elib
Copyright:    Inge Wallin, Per Cederqvist
Group:        Applications/Editors/Emacs
Requires:     emacs
Autoreqprov:  on
Version:      1.0
Release:      455
Summary:      A Lisp library for the GNU Emacs
Source:       elib-1.0.tar.bz2
Patch:        elib-1.0.dif
BuildRoot:    %{_tmppath}/%{name}-root
BuildArch:    noarch

%description
This package contains the completed GNU Emacs Lisp Library Elib in
Version 1.0.  Elib was developed as a library for Emacs-Lisp programs
for the same reasons that libg++ was for C++ programs.
Elib contains macros for:
- `container' data structures (queues, stacks, AVL trees, etc.)
- string handling routines missing in standard emacs
- routines to handle so-called `cookies' in a buffer

Authors:
--------
    Inge Wallin <inge@lysator.liu.se>
    Per Cederqvist <ceder@lysator.liu.se>

SuSE series: e

%prep
%setup
%patch

%build
%define prefix /usr
%define datadir %{prefix}/share
%define locallisppath %{datadir}/emacs/site-lisp
%define ELIBDIR %{locallisppath}/elib
export LC_CTYPE=ISO-8859-1
export EMACS_UNIBYTE=1
make prefix=%{prefix} \
     datadir=%{datadir} \
     locallisppath=%{locallisppath} \
     ELIBDIR=%{ELIBDIR} \
     infodir=%{_infodir}

%install
export LC_CTYPE=ISO-8859-1
export EMACS_UNIBYTE=1
mkdir -p $RPM_BUILD_ROOT%{ELIBDIR}
mkdir -p $RPM_BUILD_ROOT%{_infodir}
make install \
     prefix=$RPM_BUILD_ROOT%{prefix} \
     datadir=$RPM_BUILD_ROOT%{datadir} \
     locallisppath=$RPM_BUILD_ROOT%{locallisppath} \
     ELIBDIR=$RPM_BUILD_ROOT%{ELIBDIR} \
     infodir=$RPM_BUILD_ROOT%{_infodir}
{
  echo ";; %{locallisppath}/suse-start-%{name}.el"
  echo ""
  echo "(add-to-list 'load-path \"%{ELIBDIR}\")"
  echo ""
  echo ";; %{locallisppath}/suse-start-%{name}.el ends here"
} > %{buildroot}%{locallisppath}/suse-start-%{name}.el

%files
%doc ChangeLog INSTALL NEWS RELEASING TODO COPYING README
%doc %{_infodir}/elib*
%{ELIBDIR}
%config %{locallisppath}/suse-start-%{name}.el

%changelog -n elib
* Wed Mar 28 2001 - mfabian@suse.de
- add /usr/share/emacs/site-list/suse-start-elib.el to add
  the elib directory automatically to the Emacs load-path
- rewrite spec file somewhat
- change  BuildArch:  to  noarch
- use BuildRoot
- bzip2 sources
* Tue Mar 13 2001 - ro@suse.de
- added emacs-x11 to neededforbuild
* Thu Mar 08 2001 - uli@suse.de
- added xshared to neededforbuild
* Fri Nov 17 2000 - ro@suse.de
- ge_exec -> emacs
* Wed Mar 01 2000 - uli@suse.de
- moved info files to /usr/share/info
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Apr 15 1999 - werner@suse.de
- added export LC_CTYPE=ISO-8859-1 to install section
* Mon Jul 27 1998 - bs@suse.de
- added export LC_CTYPE=ISO-8859-1 to build section - emacs needs it.
* Fri Jul 10 1998 - bs@suse.de
- added xaw3d to neededforbuild (ge_exec needs it)
* Wed Oct 22 1997 - werner@suse.de
- Fix in elib.texi: dir entry
